[
{
    blockid=general;
    help=service_general_general;
    custom="com.netscape.management.msgserv.ServiceGeneralControl";
    localvar={
	/* translate this block */
	.header.text="\u8fdb\u7a0b\u63a7\u5236";
	.dialogheader.text="Messaging Server \u8fdb\u7a0b\u63a7\u5236";

	.service.general.status.border=[titled, "\u670d\u52a1\u72b6\u6001"];

	.service.text="\u670d\u52a1";
	.onoff.text="\u5f00/\u5173";

	.startall.text="\u542f\u52a8\u5168\u90e8";
	.stopall.text="\u5168\u90e8\u505c\u6b62";

	.start.ok="\u670d\u52a1\u5df2\u6210\u529f\u542f\u52a8\u3002";
	.start.error="\u670d\u52a1\u65e0\u6cd5\u542f\u52a8\u3002";
	.stop.ok="\u670d\u52a1\u5df2\u6210\u529f\u505c\u6b62\u3002";
	.stop.error="\u670d\u52a1\u65e0\u6cd5\u505c\u6b62\u3002";
	
	.start.ha= "\u5728\u60a8\u7684\u7cfb\u7edf\u4e0a\u68c0\u6d4b\u5230 HA \u914d\u7f6e\u3002 \u8bf7\u7528 HA \u542f\u52a8\u547d\u4ee4\u59a5\u5584\u5730\u542f\u52a8 Messaging Server\u3002";
	.stop.ha= "\u5728\u60a8\u7684\u7cfb\u7edf\u4e0a\u68c0\u6d4b\u5230 HA \u914d\u7f6e\u3002 \u8bf7\u7528 HA \u505c\u6b62\u547d\u4ee4\u59a5\u5584\u5730\u505c\u6b62 Messaging Server\u3002";
    };
    layout=[gridbag];
    content=[
	{
	    ctrl=label;
	    text=$.header.text;
	    font=["","",16];
	    wrap=$g.label.size5;
	    constraint={
		gridx=0;
		gridy=0;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=separator;
	    constraint={
		gridx=0;
		gridy=1;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=table;
	    id=processtable;
	    showadd=false;
	    showdelete=false;
	    buttonsat=east;
	    visiblerows=7;
	    constraint={
		gridx=0;
		gridy=2;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	    columns=[
		{
		    header=$.service.text;
		    width=78;
		},
		{
		    header=$.onoff.text;
		    width=260;
		}
	    ];
	    buttons=[
		{
		    text=$g.start.text;
		    cmd=".service.start";
		},
		{
		    text=$g.stop.text;
		    cmd=".service.stop";
		},
		{
		    text=$.startall.text;
		    cmd=".service.startall";
		},
		{
		    text=$.stopall.text;
		    cmd=".service.stopall";
		}
	    ];
	},
	{
	    ctrl=pane;
	    id=statcontainer;
	    layout=[ybox];
	    border=$.service.general.status.border;
	    constraint={
		gridx=0;
		gridy=3;
		weightx=1;
		weighty=1;
		fill=h;
		anchor=northwest;
		insets=$g.insets.comp;
	    }
	}
    ]
},
{
    blockid=imapstat;
    localvar={
	.lastconnect.text="\u4e0a\u6b21\u8fde\u63a5\u65f6\u95f4:";
	.totalconnect.text="\u8fde\u63a5\u603b\u6570:";
	.currentconnect.text="\u5f53\u524d\u8fde\u63a5\u6570:";
	.failedconnect.text="\u8fde\u63a5\u5931\u8d25\u6b21\u6570:";
	.failedlogin.text="\u767b\u5f55\u5931\u8d25\u6b21\u6570:";
    };
    content=[
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.lastconnect.text;
		    wrap=$g.label.size2;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=timelabel;
		    text=$sys.imap.global.lastConnectionTime.value;
		    wrap=$g.label.size2;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.totalconnect.text;
		    wrap=$g.label.size2;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=label;
		    text=$sys.imap.global.numConnections.value;
		    wrap=$g.label.size2;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.currentconnect.text;
		    wrap=$g.label.size2;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=label;
		    text=$sys.imap.global.numCurrentConnections.value;
		    wrap=$g.label.size2;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.failedconnect.text;
		    wrap=$g.label.size2;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=label;
		    text=$sys.imap.global.numFailedConnections.value;
		    wrap=$g.label.size2;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.failedlogin.text;
		    wrap=$g.label.size2;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=label;
		    text=$sys.imap.global.numFailedLogins.value;
		    wrap=$g.label.size2;
		}
	    ]
	}
    ]
},
{
    blockid=httpstat;
    localvar={
	.lastconnect.text="\u4e0a\u6b21\u8fde\u63a5\u65f6\u95f4:";
	.totalconnect.text="\u8fde\u63a5\u603b\u6570:";
	.currentconnect.text="\u5f53\u524d\u8fde\u63a5\u6570:";
	.failedconnect.text="\u8fde\u63a5\u5931\u8d25\u6b21\u6570:";
	.failedlogin.text="\u767b\u5f55\u5931\u8d25\u6b21\u6570:";
    };
    content=[
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.lastconnect.text;
		    wrap=$g.label.size2;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=timelabel;
		    text=$sys.http.global.lastConnectionTime.value;
		    wrap=$g.label.size2;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.totalconnect.text;
		    wrap=$g.label.size2;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=label;
		    text=$sys.http.global.numConnections.value;
		    wrap=$g.label.size2;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.currentconnect.text;
		    wrap=$g.label.size2;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=label;
		    text=$sys.http.global.numCurrentConnections.value;
		    wrap=$g.label.size2;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.failedconnect.text;
		    wrap=$g.label.size2;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=label;
		    text=$sys.http.global.numFailedConnections.value;
		    wrap=$g.label.size2;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.failedlogin.text;
		    wrap=$g.label.size2;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=label;
		    text=$sys.http.global.numFailedLogins.value;
		    wrap=$g.label.size2;
		}
	    ]
	}
    ]
},
{
    blockid=popstat;
    localvar={
	.lastconnect.text="\u4e0a\u6b21\u8fde\u63a5\u65f6\u95f4:";
	.totalconnect.text="\u8fde\u63a5\u603b\u6570:";
	.currentconnect.text="\u5f53\u524d\u8fde\u63a5\u6570:";
	.failedconnect.text="\u8fde\u63a5\u5931\u8d25\u6b21\u6570:";
	.failedlogin.text="\u767b\u5f55\u5931\u8d25\u6b21\u6570:";
    };
    content=[
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.lastconnect.text;
		    wrap=$g.label.size2;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=timelabel;
		    text=$sys.pop.global.lastConnectionTime.value;
		    wrap=$g.label.size2;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.totalconnect.text;
		    wrap=$g.label.size2;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=label;
		    text=$sys.pop.global.numConnections.value;
		    wrap=$g.label.size2;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.currentconnect.text;
		    wrap=$g.label.size2;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=label;
		    text=$sys.pop.global.numCurrentConnections.value;
		    wrap=$g.label.size2;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.failedconnect.text;
		    wrap=$g.label.size2;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=label;
		    text=$sys.pop.global.numFailedConnections.value;
		    wrap=$g.label.size2;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.failedlogin.text;
		    wrap=$g.label.size2;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=label;
		    text=$sys.pop.global.numFailedLogins.value;
		    wrap=$g.label.size2;
		}
	    ]
	}
    ]
},
{
    blockid=smtpstat;
    localvar={
        .storedmsgs.text="\u5df2\u5b58\u50a8\u90ae\u4ef6\u7684\u6570\u91cf:";
        .transmittedmsgs.text="\u5df2\u53d1\u9001\u90ae\u4ef6\u7684\u6570\u91cf:";
        .receivedmsgs.text="\u5df2\u63a5\u6536\u90ae\u4ef6\u7684\u6570\u91cf:";
        .outqmsgs.text="\u5916\u53d1\u961f\u5217\u4e2d\u7684\u90ae\u4ef6:";
        .inqmsgs.text="\u5916\u6765\u5165\u961f\u90ae\u4ef6:";
    };
    content=[
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.storedmsgs.text;
		    wrap=$g.label.size2;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=timelabel;
		    text=$sys.smtp.global.StoredMessages.value;
		    wrap=$g.label.size2;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.transmittedmsgs.text;
		    wrap=$g.label.size2;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=label;
		    text=$sys.smtp.global.TransmittedMessages.value;
		    wrap=$g.label.size2;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.receivedmsgs.text;
		    wrap=$g.label.size2;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=label;
		    text=$sys.smtp.global.ReceivedMessages.value;
		    wrap=$g.label.size2;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.outqmsgs.text;
		    wrap=$g.label.size2;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=label;
		    text=$sys.smtp.global.numOutgoingQueueMessages.value;
		    wrap=$g.label.size2;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.inqmsgs.text;
		    wrap=$g.label.size2;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=label;
		    text=$sys.smtp.global.numInComingQueueMessages.value;
		    wrap=$g.label.size2;
		}
	    ]
	}
    ]
}
]
